# Commands

In this chapter we will introduce all `dioxus-cli` commands.

> You can also use `dx --help` to get cli help info.

```
dx
Build, bundle, & ship your Dioxus app

USAGE:
    dx [OPTIONS] <SUBCOMMAND>

OPTIONS:
    -h, --help    Print help information
    -v            Enable verbose logging

SUBCOMMANDS:
    build        Build the Dioxus application and all of its assets
    clean        Clean output artifacts
    config       Dioxus config file controls
    create       Init a new project for Dioxus
    help         Print this message or the help of the given subcommand(s)
    serve        Build, watch & serve the Rust WASM app and all of its assets
    translate    Translate some html file into a Dioxus component
```
